using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ScaffoldingExample.Helpers
{
    /// <summary>
    /// Проверка того, что для данного типа нужно реализовывать порядок
    /// </summary>
    public class OrderCheckHelper
    {
        public static List<string> OrderList = new List<string>()
        {
            "PROCESSOR"
        };

        /// <summary>
        /// Проверка того, что для контроллера нужно реализовывать порядок
        /// </summary>
        public static bool WithOrder(string controllerName)
        {
            bool Result = false;

            if(OrderList.Contains(controllerName.Trim().ToUpper()))
            {
                Result = true;
            }

            return Result;
        }
    }
}